Bug 886649 - [abrt] gedit-3.4.2-1.fc17: gtk_notebook_button_release: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.2-1.fc17: gtk_notebook_button_release: Process /usr/bin/gedi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:a28855950bd36f14249eb9a2a2a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-12 13:57 EST by Greg Martyn
Modified: 2013-08-01 06:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:34:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (1.79 KB, text/plain)
2012-12-12 13:57 EST, Greg Martyn
no flags Details
File: environ (1.71 KB, text/plain)
2012-12-12 13:57 EST, Greg Martyn
no flags Details
File: backtrace (16.60 KB, text/plain)
2012-12-12 13:57 EST, Greg Martyn
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-12 13:57 EST, Greg Martyn
no flags Details
File: cgroup (131 bytes, text/plain)
2012-12-12 13:57 EST, Greg Martyn
no flags Details
File: smolt_data (3.81 KB, text/plain)
2012-12-12 13:57 EST, Greg Martyn
no flags Details
File: executable (14 bytes, text/plain)
2012-12-12 13:58 EST, Greg Martyn
no flags Details
File: maps (37.08 KB, text/plain)
2012-12-12 13:58 EST, Greg Martyn
no flags Details
File: dso_list (8.84 KB, text/plain)
2012-12-12 13:58 EST, Greg Martyn
no flags Details
File: proc_pid_status (923 bytes, text/plain)
2012-12-12 13:58 EST, Greg Martyn
no flags Details
File: var_log_messages (325 bytes, text/plain)
2012-12-12 13:58 EST, Greg Martyn
no flags Details
File: open_fds (673 bytes, text/plain)
2012-12-12 13:58 EST, Greg Martyn
no flags Details

  None (edit)
Description Greg Martyn 2012-12-12 13:57:47 EST
Description of problem:
editing an xml file (~40kbytes) with some very long lines
i think it crashed after copying the file to the clipboard


Version-Release number of selected component:
gedit-3.4.2-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/bin/gedit /var/www/Eclipse/theshadestore.com/scripts/sample_files/rnb/4500385891_20121004_092145.json
crash_function: gtk_notebook_button_release
kernel:         3.6.9-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (9 frames)
: #0 gtk_notebook_button_release at gtknotebook.c:3240
: #2 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
: #7 gtk_widget_event_internal at gtkwidget.c:6380
: #8 gtk_widget_event at gtkwidget.c:6037
: #9 propagate_event_up at gtkmain.c:2390
: #10 propagate_event at gtkmain.c:2490
: #11 gtk_main_do_event at gtkmain.c:1713
: #17 gtk_main at gtkmain.c:1161
: #18 gedit_main at gedit.c:205
Comment 1 Greg Martyn 2012-12-12 13:57:50 EST
Created attachment 662562 [details]
File: core_backtrace
Comment 2 Greg Martyn 2012-12-12 13:57:52 EST
Created attachment 662563 [details]
File: environ
Comment 3 Greg Martyn 2012-12-12 13:57:53 EST
Created attachment 662564 [details]
File: backtrace
Comment 4 Greg Martyn 2012-12-12 13:57:55 EST
Created attachment 662565 [details]
File: limits
Comment 5 Greg Martyn 2012-12-12 13:57:56 EST
Created attachment 662566 [details]
File: cgroup
Comment 6 Greg Martyn 2012-12-12 13:57:58 EST
Created attachment 662567 [details]
File: smolt_data
Comment 7 Greg Martyn 2012-12-12 13:58:00 EST
Created attachment 662568 [details]
File: executable
Comment 8 Greg Martyn 2012-12-12 13:58:01 EST
Created attachment 662569 [details]
File: maps
Comment 9 Greg Martyn 2012-12-12 13:58:03 EST
Created attachment 662570 [details]
File: dso_list
Comment 10 Greg Martyn 2012-12-12 13:58:05 EST
Created attachment 662571 [details]
File: proc_pid_status
Comment 11 Greg Martyn 2012-12-12 13:58:06 EST
Created attachment 662572 [details]
File: var_log_messages
Comment 12 Greg Martyn 2012-12-12 13:58:08 EST
Created attachment 662573 [details]
File: open_fds
Comment 13 Fedora End Of Life 2013-07-03 23:14:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 06:34:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.